Bug 1791588 - Review Request: vapoursynth - A video processing framework with simplicity in mind
Summary: Review Request: vapoursynth - A video processing framework with simplicity in...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-16 08:29 UTC by Simone Caronni
Modified: 2020-03-18 02:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-12 20:50:58 UTC
Type: ---
luya_tfz: fedora-review+


Attachments (Terms of Use)
Spec file patch (577 bytes, patch)
2020-02-25 12:43 UTC, Artem
no flags Details | Diff
Spec file patch (3.61 KB, patch)
2020-02-25 12:46 UTC, Artem
no flags Details | Diff

Description Simone Caronni 2020-01-16 08:29:09 UTC
Spec URL: https://slaanesh.fedorapeople.org/vapoursynth.spec
SRPM URL: https://slaanesh.fedorapeople.org/vapoursynth-48-1.fc31.src.rpm
Description:
VapourSynth is an application for video manipulation. Or a plugin. Or a
library. It’s hard to tell because it has a core library written in C++ and a
Python module to allow video scripts to be created.
Fedora Account System Username: slaanesh

Comment 1 Luya Tshimbalanga 2020-01-17 04:27:47 UTC
The SRPM completely failed either with fedora-review or scratch build below:
https://koji.fedoraproject.org/koji/taskinfo?taskID=40644375

Would you mind to fix them?

Comment 2 Luya Tshimbalanga 2020-01-18 06:37:04 UTC
Look at the failure of compiling, it appears the issue occured on that line:

/usr/bin/ld: ./.libs/libvapoursynth-script.so: undefined reference to `Py_InitializeEx'
/usr/bin/ld: ./.libs/libvapoursynth-script.so: undefined reference to `PyDict_GetItemString'
/usr/bin/ld: ./.libs/libvapoursynth-script.so: undefined reference to `PyObject_GetAttrString'
/usr/bin/ld: ./.libs/libvapoursynth-script.so: undefined reference to `_Py_Dealloc'
/usr/bin/ld: ./.libs/libvapoursynth-script.so: undefined reference to `PyImport_ImportModule'
/usr/bin/ld: ./.libs/libvapoursynth-script.so: undefined reference to `PyCapsule_GetPointer'
/usr/bin/ld: ./.libs/libvapoursynth-script.so: undefined reference to `PyCapsule_IsValid'
/usr/bin/ld: ./.libs/libvapoursynth-script.so: undefined reference to `PyEval_SaveThread'
/usr/bin/ld: ./.libs/libvapoursynth-script.so: undefined reference to `PyGILState_Ensure'
/usr/bin/ld: ./.libs/libvapoursynth-script.so: undefined reference to `Py_IsInitialized'
collect2: error: ld returned 1 exit status
make: *** [Makefile:1324: vspipe] Error 1

Similar report from upstream suggests a python3 issue:
https://github.com/vapoursynth/vapoursynth/issues/518

And possible workaround:
https://docs.python.org/3/whatsnew/3.8.html#debug-build-uses-the-same-abi-as-release-build

Comment 3 Simone Caronni 2020-01-23 17:09:43 UTC
Still trying to figure out a way to fix it on Fedora rawhide (builds fine on Fedora 31).

Comment 4 Simone Caronni 2020-01-26 17:12:28 UTC
Fixed, also made sure one can avoid installing the Python integration.

Spec URL: https://slaanesh.fedorapeople.org/vapoursynth.spec
SRPM URL: https://slaanesh.fedorapeople.org/vapoursynth-48-2.fc31.src.rpm

Comment 5 Luya Tshimbalanga 2020-02-01 05:35:12 UTC
Some issues according to rpmlint:

* vapoursynth-libs.x86_64: W: self-obsoletion libvapoursynth <= 48-2.fc32 obsoletes libvapoursynth = 48-2.fc32

from these lines

Obsoletes:  lib%{name} <= %{version}-%{release}
Provides:   lib%{name} == %{version}-%{release}

Replace "<=" by "<" instead or use an alternative.

* You can remove "BuildRequires: python3" as BuildRequires: pkgconfig(python3) should take care of the rest.
* Note: Directories without known owners: /usr/include/vapoursynth,
     /usr/lib64/vapoursynth
 Please fix

* Dirs in package are owned also by: /usr/share/doc/vapoursynth-
     libs(locale,, to, Failed, defaulting, set, C),
     /usr/share/licenses/vapoursynth-libs(locale,, to, Failed, defaulting,
     set, C), /usr/lib64/python3.8/site-packages/VapourSynth-48-py3.8.egg-
     info(locale,, to, Failed, defaulting, set, C)
Same as above

Comment 6 Simone Caronni 2020-02-07 13:02:58 UTC
Sorry the delay, was pretty busy at work. Updated package:

Spec URL: https://slaanesh.fedorapeople.org/vapoursynth.spec
SRPM URL: https://slaanesh.fedorapeople.org/vapoursynth-48-3.fc31.src.rpm

Comment 7 Simone Caronni 2020-02-07 13:03:40 UTC
Changes to the SPEC file also visible here: https://github.com/negativo17/vapoursynth/commit/454d9b87a7f5bc15fa0ebf62f82ca3f69a986b1c

Comment 8 Simone Caronni 2020-02-18 13:14:31 UTC
Any chance we can progress with the review? Thanks.

Comment 9 Luya Tshimbalanga 2020-02-19 06:07:39 UTC
Sorry for the delay. I had a busy week and will resume as soon as possible.

Comment 10 Luya Tshimbalanga 2020-02-20 06:38:23 UTC
More fixes to resolves:

- Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/vapoursynth

- Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/doc/vapoursynth-
     libs(locale,, defaulting, C, to, set, Failed),
     /usr/share/licenses/vapoursynth-libs(locale,, defaulting, C, to, set,
     Failed), /usr/lib64/python3.8/site-packages/VapourSynth-48-py3.8.egg-
     info(locale,, defaulting, C, to, set, Failed),
     /usr/include/vapoursynth(locale,, defaulting, C, to, set, Failed)

- Use "autosetup -p1" for patches rather than "setup" or "setup -q" and condition Patch1 for Fedora 32


Here are the result gerenerated from fedora-review

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "SIL Open Font License (v1.1)", "do
     What The Fuck you want to Public License (v2)", "GNU Lesser General
     Public License (v2.1 or later)", "GPL (v2 or later) (with incorrect
     FSF address)", "BSD 3-clause "New" or "Revised" License", "*No
     copyright* GPL (v2 or later) (with incorrect FSF address)", "ISC
     License", "*No copyright* do What The Fuck you want to Public License
     (v2)", "GPL (v2 or later)". 184 files have unknown license. Detailed
     output of licensecheck in /home/luya/Documents/fedora-
     review/1791588-vapoursynth/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/vapoursynth
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/doc/vapoursynth-
     libs(locale,, defaulting, C, to, set, Failed),
     /usr/share/licenses/vapoursynth-libs(locale,, defaulting, C, to, set,
     Failed), /usr/lib64/python3.8/site-packages/VapourSynth-48-py3.8.egg-
     info(locale,, defaulting, C, to, set, Failed),
     /usr/include/vapoursynth(locale,, defaulting, C, to, set, Failed)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     vapoursynth-libs , python3-vapoursynth , vapoursynth-devel ,
     vapoursynth-tools
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: https://docs.fedoraproject.org/en-US/packaging-
     guidelines/#_use_rpmlint
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros

Comment 11 Simone Caronni 2020-02-20 11:02:14 UTC
(In reply to Luya Tshimbalanga from comment #10)
> More fixes to resolves:
> 
> - Package must own all directories that it creates.
>      Note: Directories without known owners: /usr/lib64/vapoursynth

Fixed.

> - Package does not own files or directories owned by other packages.
>      Note: Dirs in package are owned also by: /usr/share/doc/vapoursynth-
>      libs(locale,, defaulting, C, to, set, Failed),
>      /usr/share/licenses/vapoursynth-libs(locale,, defaulting, C, to, set,
>      Failed), /usr/lib64/python3.8/site-packages/VapourSynth-48-py3.8.egg-
>      info(locale,, defaulting, C, to, set, Failed),
>      /usr/include/vapoursynth(locale,, defaulting, C, to, set, Failed)

This is not correct, there is no overlap here. I also think fedora-review is going bonkers ("locale,, defaulting, C, to, set, Failed"??).

> - Use "autosetup -p1" for patches rather than "setup" or "setup -q" and
> condition Patch1 for Fedora 32

I can not use autosetup as it would apply all patches regardless, so that's why I used setup. Anyway I changed to the better upstream Python 3.8 patch and I don't need a conditional anymore.
 
> [!]: Rpmlint is run on all installed packages.
>      Note: Mock build failed
>      See: https://docs.fedoraproject.org/en-US/packaging-
>      guidelines/#_use_rpmlint

$ rpmlint vapoursynth.spec vapoursynth*.rpm
vapoursynth-devel.x86_64: W: no-documentation
vapoursynth-plugins.x86_64: W: no-documentation
vapoursynth-tools.x86_64: W: no-documentation
vapoursynth-tools.x86_64: W: no-manual-page-for-binary vspipe
10 packages and 1 specfiles checked; 0 errors, 4 warnings.

> [!]: Spec file according to URL is the same as in SRPM.
>      Note: Spec file as given by url is not the same as in SRPM (see
>      attached diff).
>      See: (this test has no URL)

Don't know where this comes from, but it's the same.

Comment 13 Artem 2020-02-25 12:43:16 UTC
Created attachment 1665633 [details]
Spec file patch

Tests work and passed if build first without test and then second build with 'vapoursynth-devel' there.

Also some cosmetic improvements to improve readability.

Comment 14 Artem 2020-02-25 12:46:13 UTC
Created attachment 1665635 [details]
Spec file patch

Sorry, mistakenly put wrong patch. Here:

Tests work and passed if build first without test and then second build with 'vapoursynth-devel' there.

Also some cosmetic improvements to improve readability.

Comment 15 Luya Tshimbalanga 2020-02-26 05:57:17 UTC
Skipping all correct condition and focusing on fix.(In reply to Simone Caronni from comment #11)

> > - Package does not own files or directories owned by other packages.
> >      Note: Dirs in package are owned also by: /usr/share/doc/vapoursynth-
> >      libs(locale,, defaulting, C, to, set, Failed),
> >      /usr/share/licenses/vapoursynth-libs(locale,, defaulting, C, to, set,
> >      Failed), /usr/lib64/python3.8/site-packages/VapourSynth-48-py3.8.egg-
> >      info(locale,, defaulting, C, to, set, Failed),
> >      /usr/include/vapoursynth(locale,, defaulting, C, to, set, Failed)
> 
> This is not correct, there is no overlap here. I also think fedora-review is
> going bonkers ("locale,, defaulting, C, to, set, Failed"??).

Let skip that part.

> 
> > - Use "autosetup -p1" for patches rather than "setup" or "setup -q" and
> > condition Patch1 for Fedora 32
> 
> I can not use autosetup as it would apply all patches regardless, so that's
> why I used setup. Anyway I changed to the better upstream Python 3.8 patch
> and I don't need a conditional anymore.
>  

I looked at the spec and the patches work as intended.

> > [!]: Rpmlint is run on all installed packages.
> >      Note: Mock build failed
> >      See: https://docs.fedoraproject.org/en-US/packaging-
> >      guidelines/#_use_rpmlint
> 
> $ rpmlint vapoursynth.spec vapoursynth*.rpm
> vapoursynth-devel.x86_64: W: no-documentation
> vapoursynth-plugins.x86_64: W: no-documentation
> vapoursynth-tools.x86_64: W: no-documentation
> vapoursynth-tools.x86_64: W: no-manual-page-for-binary vspipe
> 10 packages and 1 specfiles checked; 0 errors, 4 warnings.
> 
> > [!]: Spec file according to URL is the same as in SRPM.
> >      Note: Spec file as given by url is not the same as in SRPM (see
> >      attached diff).
> >      See: (this test has no URL)
> 
> Don't know where this comes from, but it's the same.

Fair enough. 

Based on the overall review, the package is approved. Would you also follow the suggestion from comment #14 ? Thanks.

Comment 16 Simone Caronni 2020-02-26 16:33:19 UTC
(In reply to Luya Tshimbalanga from comment #15)
> Based on the overall review, the package is approved. Would you also follow
> the suggestion from comment #14 ? Thanks.

Thanks for the review!

Yes, I will make sure the patch from Artem Polishchuk is included when pushing to git.

Comment 17 Artem 2020-02-26 16:37:57 UTC
@Simone thanks a lot. We wanted and tried to package 'vapoursynth' for a long time ago, but all process was stalled. So this is great that you packaged it and everything what it requires. Thank you.

Comment 18 Simone Caronni 2020-02-29 14:13:11 UTC
I've requested the various branches (epel 7 up to rawhide).

(In reply to Artem from comment #17)
> @Simone thanks a lot. We wanted and tried to package 'vapoursynth' for a
> long time ago, but all process was stalled. So this is great that you
> packaged it and everything what it requires. Thank you.

Are you in the packager group? Would you like to step in as a co-maintainer?

Comment 19 Igor Raits 2020-02-29 15:47:11 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/vapoursynth

Comment 20 Fedora Update System 2020-02-29 16:31:19 UTC
FEDORA-EPEL-2020-cb2d3ef940 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-cb2d3ef940

Comment 21 Fedora Update System 2020-02-29 16:31:20 UTC
FEDORA-2020-4d1fa25410 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-4d1fa25410

Comment 22 Fedora Update System 2020-02-29 16:31:20 UTC
FEDORA-2020-37c7a10025 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-37c7a10025

Comment 23 Fedora Update System 2020-02-29 16:31:21 UTC
FEDORA-2020-7e7624827c has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-7e7624827c

Comment 24 Fedora Update System 2020-02-29 21:14:43 UTC
vapoursynth-48-6.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-37c7a10025

Comment 25 Fedora Update System 2020-02-29 22:57:31 UTC
vapoursynth-48-6.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4d1fa25410

Comment 26 Fedora Update System 2020-02-29 23:23:16 UTC
vapoursynth-48-6.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-7e7624827c

Comment 27 Fedora Update System 2020-02-29 23:31:59 UTC
vapoursynth-48-6.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-cb2d3ef940

Comment 28 Fedora Update System 2020-03-07 08:26:56 UTC
FEDORA-2020-4d1fa25410 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-4d1fa25410

Comment 29 Fedora Update System 2020-03-07 08:27:29 UTC
FEDORA-2020-37c7a10025 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-37c7a10025

Comment 30 Fedora Update System 2020-03-07 17:16:54 UTC
vapoursynth-48-7.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-37c7a10025

Comment 31 Fedora Update System 2020-03-07 23:43:11 UTC
vapoursynth-48-7.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-cb2d3ef940

Comment 32 Fedora Update System 2020-03-08 00:46:34 UTC
vapoursynth-48-7.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4d1fa25410

Comment 33 Fedora Update System 2020-03-08 01:37:14 UTC
vapoursynth-48-7.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-7e7624827c

Comment 34 Fedora Update System 2020-03-12 20:50:58 UTC
vapoursynth-48-7.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.

Comment 35 Fedora Update System 2020-03-12 22:12:54 UTC
vapoursynth-48-7.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 36 Fedora Update System 2020-03-13 02:29:58 UTC
vapoursynth-48-7.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 37 Fedora Update System 2020-03-16 20:18:01 UTC
vapoursynth-48-7.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 38 Fedora Update System 2020-03-16 20:30:33 UTC
vapoursynth-48-7.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 39 Fedora Update System 2020-03-18 02:21:58 UTC
vapoursynth-48-7.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.